Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Jul 25 2018 10:41
    dthuering commented #32
  • Jun 05 2018 13:59
    tbueno commented #32
  • Jan 19 2018 13:50
    fsenart commented #10
  • Jan 17 2018 18:03
    immesys commented #53
  • Jan 17 2018 17:43
    fsenart closed #39
  • Jan 17 2018 17:43
    fsenart commented #39
  • Jan 17 2018 17:41
    fsenart closed #49
  • Jan 17 2018 17:41
    fsenart commented #49
  • Jan 17 2018 17:40

    fsenart on master

    Deprecate the project (compare)

  • Jan 17 2018 17:36
    fsenart edited #53
  • Jan 17 2018 17:36
    fsenart edited #53
  • Jan 17 2018 17:35
    fsenart edited #53
  • Jan 17 2018 17:34
    lsuss commented #53
  • Jan 17 2018 17:31

    lsuss on master

    Add official Go runtime benchma… (compare)

  • Jan 17 2018 17:29
    kylevanek opened #10
  • Jan 16 2018 17:08
    fsenart commented #53
  • Jan 16 2018 17:07
    immesys opened #53
  • Jan 08 2018 05:27
    rchaser53 commented #51
  • Jan 07 2018 14:08
    fsenart closed #51
  • Jan 07 2018 14:08
    fsenart commented #51
minsikzzang
@minsikzzang
ok np
will have a look asap
Lionel Suss
@lsuss
:+1:
I'm merging the other one ;)
minsikzzang
@minsikzzang
@lsuss README.md was added
Lionel Suss
@lsuss
@minsikzzang just update the main README.md, to link to your event ;)
minsikzzang
@minsikzzang
ah ha
@lsuss should be sorted :)
minsikzzang
@minsikzzang
thanks for merging :) :+1: @lsuss
Lionel Suss
@lsuss
@minsikzzang GZ your event is in da place haha :fireworks:
minsikzzang
@minsikzzang
:sparkles:
Sean Parsons
@seanpar203
If I change the PACKAGE variable inside the MakeFile shouldn't that then look for the new packageName.zip ?
Instead of looking for package.zip
ENOENT: no such file or directory, open 'package.zip'
my zip file is called handler.zip
Farzad Senart
@fsenart
You should do something like PACKAGE=packageName make so that it outputs packageName.zip
Sean Parsons
@seanpar203
Well it is outputting the .zip file I specified but when I run make deploy it's still looking for package.zip
Is there something I need to do on the docker side?
Lionel Suss
@lsuss
As we do not provide a deploy target in the official Makefile, one needs to see your custom makefile to spot the error.
Sean Parsons
@seanpar203
I'm using the one from this example
I updated the top 2 lines to look the ones in the main go-aws-shim repo
HANDLER ?= handler
PACKAGE ?= $(HANDLER)
Although that seems to have broke the building process.
Lionel Suss
@lsuss
@yunspace can you help @seanpar203 on this ?
San Nguyen
@sandangel
Hello every one. I heard that at aws reinvent 2017, they have announce that they will support go runtime on aws lambda. can anyone confirm it?
Farzad Senart
@fsenart
Yes sir :wink:
early 2018
minsikzzang
@minsikzzang
yeah they will
Cristian M.S.
@cristim
I hoped for availability from the start
Jack Fazackerley
@JackFazackerley
hey guys, does anyone know how it would be possible to open a config file using github.com/spf13/viper? I have put viper.AddConfigPath(".") so where the program is running from but it always fails to find the file
i can't think of where else i could look to find the file?
Farzad Senart
@fsenart
Hi @JackFazackerley , ‘LAMBDA_TASK_ROOT’ env is where the program is running. You may list this directory to see if you config file is present and give it maybe to viper. I haven't used viper for configs but it should do the job
Jack Fazackerley
@JackFazackerley
Awesome @fsenart I will take a look into that, thanks!
Joseph Kim
@superbmilkyway_twitter
Hello I am very new about Lambda and little bit hard to understand about eawsy/aws-lambda-go-shim concept
in Windows, can I use eawsy/aws-lambda-go-shim?
is bash the only option?
Farzad Senart
@fsenart
Hi @superbmilkyway_twitter , for windows you have to have Docker installed and also Make for windows. After what you proceed as described in the README to deploy your first function. Basically downloading the provided Makefile, creating a hello world handle and executing make .
Joseph Kim
@superbmilkyway_twitter
@fsenart Thank you for your kind explanation
Farzad Senart
@fsenart
You're welcome :wink:
Joseph Kim
@superbmilkyway_twitter
ah..another thing do I must use go 1.8?
Farzad Senart
@fsenart
we update the shim with the latest available Go stable version. For now it's Go 1.9.2. So by using the provided Docker image you're tied to the provided version. But you are free to build a custom image with the go version you want. For this version of shim we rely on Go 1.8+ plugin feature. And some bugs have been fixed with Go 1.9 so, IMHO use the version we provide :smile:
Joseph Kim
@superbmilkyway_twitter
I thought I may need to uninstall Go 1.9 and install 1.8 but don't need it awesome :)
Thank you again :)
Farzad Senart
@fsenart
Feel free to come back if need any further info
Joseph Kim
@superbmilkyway_twitter
Success..!! I can see "Hello World!" :)
Josh Holloway
@imjoshholloway
Anyone seen invalid character 'H' looking for beginning of value" before?
Farzad Senart
@fsenart
It seems related to ill formed json!
Josh Holloway
@imjoshholloway
Thanks! I just realised. I've been debugging another issue this morning Unable to import module 'handler': plugin.Open: plugin was built with a different version of package errors and I just re-built and ASSuMEd the issue was still in the building
rather than the event